<template>
    <div class="wrapper-nuxt d-flex justify-content-between flex-column">
      <Header />
      <Nuxt />
      <Footer />
      <b-modal no-close-on-backdrop id="savings-modal" @hide="isItFirstTime = true" v-model="unlockSavingsModal" size="lg">
        <div class="x-btn" @click="unlockSavingsModal = false">
          <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M24 8L8 24" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M8 8L24 24" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>

        </div>
        <div class="unlock-savings-modal pt-36 pb-32 pr-20 pl-20">
          <img class="ava" src="@/static/images/ava.png" alt="">
          <img class="car-modal" src="@/static/images/car-modal.png" alt="">
          <div v-if="step == 1" class="relative" style="z-index: 2">
          <h6 class="mb-16">
            Hey, I’m <span>Donald</span>
          </h6>
          <h4 class="mb-16">
            Wait! Did you forget <br> your bonus?
          </h4>
          <h5 class="mb-32">
            Grab $50 off your car shipment
          </h5>
          <div class="email-input-home mt-20" :class="{ 'hasError': $v.email.$anyError}">
            <label for="">
              Email
            </label>
            <svg class="email-icon" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M1.66675 9.99992C1.66675 6.85722 1.66675 5.28587 2.64306 4.30956C3.61937 3.33325 5.19072 3.33325 8.33342 3.33325H11.6667C14.8094 3.33325 16.3808 3.33325 17.3571 4.30956C18.3334 5.28587 18.3334 6.85722 18.3334 9.99992C18.3334 13.1426 18.3334 14.714 17.3571 15.6903C16.3808 16.6666 14.8094 16.6666 11.6667 16.6666H8.33341C5.19072 16.6666 3.61937 16.6666 2.64306 15.6903C1.66675 14.714 1.66675 13.1426 1.66675 9.99992Z" stroke="#0060B7" stroke-width="1.5"/>
              <path d="M5 6.66675L6.79908 8.16598C8.32961 9.44142 9.09488 10.0791 10 10.0791C10.9051 10.0791 11.6704 9.44142 13.2009 8.16598L15 6.66675" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
            </svg>
            <div class="relative">
              <el-input
                  class="mb-53"
                  placeholder="example@usst.com"
                  v-model="email"
              ></el-input>
            </div>
          </div>
          </div>
          <div v-if="step == 2" class="relative" style="z-index: 2">
            <h6 class="mb-16">
              Hey, I’m <span>Donald</span>
            </h6>
            <h4 class="mb-16">
              Thank you for your choice!
            </h4>
            <h5 class="mb-32">
              Now  let's complete your reservation!
              $50 discount will be added  at the check out .
            </h5>
<!--            <div class="email-input-home mt-20" :class="{ 'hasError shake animated': $v.phone.$anyError}">-->
<!--              <label for="">-->
<!--                Phone number-->
<!--              </label>-->
<!--              <svg class="email-icon" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                <path d="M10.8333 2.5C10.8333 2.5 12.6666 2.66667 14.9999 5C17.3333 7.33333 17.4999 9.16667 17.4999 9.16667" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>-->
<!--                <path d="M11.0059 5.44641C11.0059 5.44641 11.8308 5.68211 13.0683 6.91955C14.3057 8.15699 14.5414 8.98194 14.5414 8.98194" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>-->
<!--                <path d="M7.53132 5.26344L8.07217 6.23254C8.56025 7.10711 8.36432 8.25439 7.59559 9.02312C7.59559 9.02313 7.59559 9.02313 7.59559 9.02313C7.59548 9.02324 6.66325 9.95568 8.35376 11.6462C10.0436 13.3361 10.976 12.4052 10.9768 12.4044C10.9769 12.4043 10.9768 12.4044 10.9769 12.4043C11.7456 11.6356 12.8929 11.4397 13.7674 11.9278L14.7365 12.4686C16.0571 13.2056 16.2131 15.0577 15.0523 16.2185C14.3548 16.916 13.5003 17.4587 12.5558 17.4945C10.9656 17.5548 8.26523 17.1524 5.55642 14.4435C2.84761 11.7347 2.44518 9.03431 2.50546 7.4442C2.54127 6.49963 3.084 5.64516 3.7815 4.94765C4.9423 3.78686 6.79431 3.94282 7.53132 5.26344Z" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>-->
<!--              </svg>-->

<!--              <div class="relative">-->
<!--                <el-input-->
<!--                    class="mb-53"-->
<!--                    placeholder="+1 (___) ___ __ __"-->
<!--                    v-model="phone"-->
<!--                ></el-input>-->
<!--              </div>-->
<!--            </div>-->
          </div>
          <button v-if="step == 1" @click="nextStep()">Unlock my savings 🤩</button>
          <a v-else href="https://bit.ly/usstar" style="width: 100%">
          <button>Finish my quote Now</button>
          </a>
        </div>
      </b-modal>
    </div>
</template>

<script>
import loader from '../components/loader.vue';
import { required, email } from "vuelidate/lib/validators";

export default {
  components: { loader },
  data() {
    return {
      step: 1,
      unlockSavingsModal: false,
      email: '',
      phone: '',
      isItFirstTime: false,
    }
  },
    methods: {
      func() {
        if(!this.isItFirstTime) {
        this.unlockSavingsModal = true
        }

      },
      nextStep() {
        this.$v.email.$touch();
        if (!this.$v.email.$invalid) {
          let message = `$50 discount: ${this.email}`
          this.$axios.post(
              `https://api.telegram.org/bot6203938662:AAFRYU-1vYs2s2ZUCRyaDIndRA6uObXTY38/sendMessage?chat_id=-1001700785121&text=${message}`
          )
              .finally(() => {
                this.step ++
              });
        }
        }
      },

      send() {

    },

  validations: {
    email: {required, email},
    phone: {required}
  },

  mounted() {
    this.isItFirstTime = false
  }
}

</script>

<style lang="scss" scoped>
.wrapper-nuxt {
  min-height: 100vh;
}
</style>
